TokyoTyrantIterator::key
TokyoTyrantIterator::rewind
TokyoTyrantIterator
PHP Manual

# TokyoTyrantIterator::next

(PECL tokyo_tyrant >= 0.2.0)

TokyoTyrantIterator::next — Move to next key

### Description

public mixed TokyoTyrantIterator::next ( void )

Move to next key during iteration and return it's value.

### Parameters

This function has no parameters.

### Return Values

Returns the next value on success and false on failure.

### See Also

- TokyoTyrantIterator::valid() - Rewinds the iterator
- TokyoTyrantIterator::key() - Returns the current key
- TokyoTyrantIterator::current() - Get the current value
- TokyoTyrantIterator::rewind() - Rewinds the iterator

TokyoTyrantIterator::key
TokyoTyrantIterator::rewind
TokyoTyrantIterator
PHP Manual